Package org.eclipse.net4j.util.ui.handlers

# Class AbstractBaseHandler<T>

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.core.commands.AbstractHandler
org.eclipse.net4j.util.ui.handlers.SafeHandler
org.eclipse.net4j.util.ui.handlers.LongRunningHandler
org.eclipse.net4j.util.ui.handlers.AbstractBaseHandler<T>

All Implemented Interfaces:
  `IHandler`, `IHandler2`

public abstract class AbstractBaseHandler<T> extends LongRunningHandler

Since:
  3.5
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<T>`
`elements`

## Constructor Summary

Constructors
Constructor
Description
`AbstractBaseHandler(Class<T> type, Boolean multi)`

## Method Summary

Modifier and Type
Method
Description
`protected List<T>`
`collectElements(ISelection selection)`
`protected boolean`
`updateSelection(ISelection selection)`

### Methods inherited from class org.eclipse.net4j.util.ui.handlers.LongRunningHandler

`cancel, checkCancelation, doExecute, doExecute, getBundleID, getErrorMessage, getErrorTitle, getTotalWork, preRun, preRun, safeExecute, setTotalWork`

### Methods inherited from class org.eclipse.net4j.util.ui.handlers.SafeHandler

`execute, extractEventDetails, getCommand, getSelection, getText, setEnabled`

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### elements

protected List<T> elements

## Constructor Details

### AbstractBaseHandler

public AbstractBaseHandler(Class<T> type, Boolean multi)

## Method Details

### updateSelection

protected boolean updateSelection(ISelection selection)

Overrides:
  `updateSelection` in class `SafeHandler`

### collectElements

protected List<T> collectElements(ISelection selection)